Page MenuHomePhabricator

Un-bundle (remove) LocalisationUpdate extension from bundled MediaWiki extensions
Open, NormalPublic

Description

I can't figure out why the LocalisationUpdate extension is bundled with MediaWiki. I can't find any MediaWiki installation using it other than Wikimedia wikis.


Version: 1.22.0
Severity: normal
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=43815

Details

Reference
bz52060

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 1:49 AM
bzimport added a project: MediaWiki-Installer.
bzimport set Reference to bz52060.
bzimport added a subscriber: Unknown Object (MLST).

(In reply to comment #0)

I can't find any MediaWiki installation using it other than
Wikimedia wikis.

What do you mean? There are several wikis using it: http://wikiapiary.com/wiki/Extension:LocalisationUpdate (not that the table doesn't seem to include MLEB versions).
Even if true, why would that matter more than usefulness? And even if it did, why aren't you discussing this on the appropriate page [[mw:Suggestions_for_extensions_to_be_integrated]]?

(In reply to comment #1)

(In reply to comment #0)

I can't find any MediaWiki installation using it other than
Wikimedia wikis.

What do you mean? There are several wikis using it:
http://wikiapiary.com/wiki/Extension:LocalisationUpdate (not that the table
doesn't seem to include MLEB versions).

Forgive me, but I looked at that link prior to filing this bug. It indicates about 850 wikis are using this extension, however a closer look seems to indicate that all (or nearly all) of these wikis are Wikimedia wikis: http://wikiapiary.com/w/index.php?title=Special:Ask&offset=50&limit=500&q=%5B%5BHas+extension%3A%3AExtension%3ALocalisationUpdate%5D%5D&p=format%3Dtable%2Flink%3Dall%2Fheaders%3Dshow%2Fmainlabel%3D-2D%2Fintro%3D-3Cb-3EThis-20extension-20is-20in-20use-20on-20the-20following-20websites%3A-3C-2Fb-3E-3Cbr-20-2F-3E%2Fsearchlabel%3D%E2%80%A6-20further-20results%2Fdefault%3DThis-20extension-20is-20not-20longer-20in-20use-20on-20any-20website.%2Fclass%3Dsortable-20wikitable-20smwtable&po=%3FHas+website%3DWiki+name%0A%3FHas+MediaWiki+version%3DMediaWiki+version%0A%3FHas+extension+version%3DExtension+version%0A&sort=Has+website&order=rand.

Even if true, why would that matter more than usefulness?

Well, if we're going to bundle an extension, it should be useful to generic MediaWiki installations. As it is, this extension is not. We know this because nobody has installed it on their own wiki.

And even if it did, why aren't you discussing this on the appropriate page
[[mw:Suggestions for extensions to be integrated]]?

That page is for "extensions to be integrated." :-) This is asking for the opposite. Though now that I look, I see:

"I don't see the need for bundling LocalisationUpdate. [...] SPQRobin"

"I'm somewhat doubtful this is really needed for proper localization support. [...] Bawolff"

Besides yourself (Nemo), I don't see any support for integrating it. I'm still not sure how it got bundled in the first place.

(In reply to comment #2)

Forgive me, but I looked at that link prior to filing this bug. It indicates
about 850 wikis are using this extension, however a closer look seems to
indicate that all (or nearly all) of these wikis are Wikimedia wikis:

I don't know what the definition of "nearly all" is, anyway I see 8 wikis + MLEB.

Even if true, why would that matter more than usefulness?

Well, if we're going to bundle an extension, it should be useful to generic
MediaWiki installations. As it is, this extension is not. We know this
because
nobody has installed it on their own wiki.

Wrong, and anyway paralogism.

And even if it did, why aren't you discussing this on the appropriate page
[[mw:Suggestions for extensions to be integrated]]?

That page is for "extensions to be integrated." :-) This is asking for the
opposite.

So what?

Though now that I look, I see:
"I don't see the need for bundling LocalisationUpdate. [...] SPQRobin"
"I'm somewhat doubtful this is really needed for proper localization support.
[...] Bawolff"
Besides yourself (Nemo), I don't see any support for integrating it. I'm
still
not sure how it got bundled in the first place.

I don't know either, you have to ask Mark. Anyway, this seems out of scope for bugzilla because there is clearly no agreement on the matter, we have a page for the extension integration process, where I suggest to conduct your discussion, closing this as INVALID.

(In reply to comment #2)

Well, if we're going to bundle an extension, it should be useful to generic
MediaWiki installations. As it is, this extension is not. We know this because
nobody has installed it on their own wiki.

Not quite nobody: "Random Wikisaur" and "LimeSurvey Manual" are two non-Wikimedia wikis that have installed this extension, according to WikiApiary. Given that we can only currently find two wikis (out of the thousands indexed by WikiApiary) that use this extension, it seems pretty clear that this extension should not be bundled with MediaWiki. The idea behind bundling extensions was to make the installation process easier (e.g., including ParserFunctions and other extensions that most wiki installations would want). There's no evidence that the LocalisationUpdate extension meets the standard criteria for inclusion.

(In reply to comment #3)

(In reply to comment #2)

Forgive me, but I looked at that link prior to filing this bug. It indicates
about 850 wikis are using this extension, however a closer look seems to
indicate that all (or nearly all) of these wikis are Wikimedia wikis:

I don't know what the definition of "nearly all" is, anyway I see 8 wikis +
MLEB.

By "nearly all," I mean that of the 857 wikis listed by WikiApiary using this extension, approximately 855 (or 99.76%) are Wikimedia wikis.

Which eight are you seeing? I only see two (mentioned above).

I don't know either, you have to ask Mark. Anyway, this seems out of scope
for bugzilla because there is clearly no agreement on the matter, we have a
page for the extension integration process, where I suggest to conduct your
discussion, closing this as INVALID.

You certainly seem to pretty strongly disagree, but there seems to be general agreement not to include this extension (as evidenced by the linked mediawiki.org page and common sense). As far as I can tell, there was never any discussion or consensus _to_ bundle this extension with MediaWiki and we can only currently conclude that it was a mistake that needs to be addressed.

I'll note that even TranslateWiki.net does not use this extension: https://translatewiki.net/wiki/Special:Version.

(In reply to comment #4)

I'll note that even TranslateWiki.net does not use this extension:
https://translatewiki.net/wiki/Special:Version.

That doesn't mean anything, TWN runs on master. Anyway, this bug is not useful for making the situation less complicated or better, so I'll remove myself from it.

On replying [[bug:59614]], I found that this bug might be related to [[bug:46653]].

Ok, let's try it again: [[bugzilla:59614]] and [[bugzilla:46653]]